using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Caching;

public partial class users : System.Web.UI.MasterPage
{
	protected string strSiteRoot = Root.GetSiteRoot();

	protected void Page_Load(object sender, EventArgs e)
	{
		

		if (!Page.IsPostBack)
		{


			ltrBottom.Text = DynamicPagesProvider.GetPageHtml("master.bottom");
			ltrTop.Text = DynamicPagesProvider.GetPageHtml("master.top");
			ltrLeftColumn.Text = DynamicPagesProvider.GetPageHtml("left.column");
			ltrRightColumn.Text = DynamicPagesProvider.GetPageHtml("right.column");
			pnlAdmin.Visible = UsersProvider.IsCartAdmin;
			pnlJScript.Visible = UsersProvider.IsCartAdmin;
			BindCategories();

		}
	}
	private void BindCategories()
	{
		// BIND CATEGORIES
		// GET FROM CACHE IF EXIST
		DataSet ds = null;
		object obj = null;
		if ((obj = Cache.Get("ActiveCategories")) == null)
		{
			ds = CategoriesProvider.GetCategories(true);
			Cache.Insert("ActiveCategories", ds);
		}
		else
		{
			ds = (DataSet)obj;
		}
		repMenu.DataSource = ds;
		repMenu.DataBind();
	}


	protected string GetPageName()
	{
		string pagename = "";
		if (Request.QueryString.Get("page") == null)
		{
			pagename = "home";
		}
		else
		{

			pagename = Request.QueryString.Get("page").ToString();
		}
		pagename = pagename.ToLower();
		return pagename;
	}

	//top menu click
	protected void lnkClick(object sender, EventArgs e)
	{
		//if there is no link, CommandArgument will be ""
		string s = ((LinkButton)sender).CommandArgument;
		if (s == "")
		{
			Response.Redirect(Root.GetSiteRoot() + "/Default.aspx?page=" + ((LinkButton)sender).Text);
		}
		else
		{
			Response.Redirect(Root.GetSiteRoot() + "/" + ((LinkButton)sender).CommandArgument);
		}
	}


	protected void OnLogOut(object sender, EventArgs e)
	{
		FormsAuthentication.SignOut();
		Response.Redirect(Request.Url.ToString());

	}

	protected void btnEditCategories_Click1(object sender, EventArgs e)
	{
		Response.Redirect(Root.GetSiteRoot() + "/Admin/CategoriesEdit.aspx?return=" +
			Request.Url.ToString());

	}
	protected void TextBox55_TextChanged(object sender, EventArgs e)
	{
		Response.Redirect(Request.Url.ToString());
	}
	protected void Button1_Click(object sender, EventArgs e)
	{

	}

	protected void HiddenField1_ValueChanged(object sender, EventArgs e)
	{
		Response.Redirect(Request.Url.ToString());
	}

	protected void bgColorChanged(object sender, EventArgs e)
	{
		if (DynamicPagesProvider.GetPages("back_color").Tables[0].Rows.Count == 1)
		{
			//DynamicPagesProvider.UpdatePage("back_color", HiddenField_submit_back_color.Value);
		}
		else
		{
			//DynamicPagesProvider.CreateDynamicPage("back_color", HiddenField_submit_back_color.Value);
		}
		Root.CleanCache();
		Response.Redirect(Request.Url.ToString());
	}

	protected string GetLoggedUser()
	{
		return UsersProvider.GetCurrentUserName();
	}
	protected void hdnLogout_ValueChanged(object sender, EventArgs e)
	{
		if (hdnLogout.Value == "Logout")
		{
			FormsAuthentication.SignOut();
			Response.Redirect(Request.Url.ToString());
		}

	}

	protected string GetCurrentPage()
	{
		string str = Page.Request.Url.ToString();
		return str;
	}
}
